org.springframework.jmx.support

## Enum MetricType

- java.lang.Object
- - java.lang.Enum<MetricType>
  - - org.springframework.jmx.support.MetricType

All Implemented Interfaces:
  Serializable, Comparable<MetricType>

    public enum MetricType
    extends Enum<MetricType>

Represents how the measurement values of a `ManagedMetric` will change over time.

Since:
  3.0
Author:
  Jennifer Hickey

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COUNTER` The measurement values will always increase
`GAUGE` The measurement values may go up or down over time

### Method Summary

Methods
`static MetricType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetricType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GAUGE

    public static final MetricType GAUGE

The measurement values may go up or down over time

#### COUNTER

    public static final MetricType COUNTER

The measurement values will always increase

### Method Detail

#### values

    public static MetricType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetricType c : MetricType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetricType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null